Bug 114746 - three bugs
Summary: three bugs
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeedu   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-02 11:21 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-11 17:04:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-02 11:21:02 UTC
Description of problem:

I just tried to compile package kdeedu-3.1.4-1 from Redhat
Fedora Core 1.

The compiler said

1.

xjdxgen.c:321: warning: this function may return with or without a value

The offending source code is

  if (argc < 3)
  {
    printf("\nUSAGE: kitengen input output.xjdx\n");
    return;
  }

Suggest add a value into the return statement.

2.

simclock.cpp:46: warning: base class `class SimClockInterface' should
be explicitly initialized in the copy constructor

The offending source code is

SimClock::SimClock (const SimClock &old) :
        QObject(old.parent()),
        DCOPObject("clock#" + QCString().setNum(idgen++)),
        tmr(this)
{

3.

kvd_vcb.cpp:191: warning: comparison of unsigned expression >= 0 is
always true

The offending source code is

      if (s.stripWhiteSpace().length() >= 0) {
        tdate = s.toInt();
      }


Seems like a pointless test to me.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Marcin Garski 2004-12-11 17:04:01 UTC
Thank you for the bug report. This bug should be fixed by KDE
developers so everyone could use fixed version (not just FC users).

Bug number:

1) is already fixed.

2) For me (I know C, not C++) it has been also fixed (am I right that
class SimClockInterface is explicitly initialized in the copy
constructor?)

SimClock::SimClock (const SimClock &old) :
		DCOPObject("clock#" + QCString().setNum(idgen++)),
		QObject(old.parent()),
		SimClockInterface(),
		tmr(this)
{

3) I've file a bug report in KDE bugzilla:
https://bugs.kde.org/show_bug.cgi?id=94935

If you want to follow what happens to the bug, you can add yourself
to the upstream report.

Comment 2 Marcin Garski 2004-12-26 22:40:54 UTC
Third bug has been fixed in KDE CVS.


Note You need to log in before you can comment on or make changes to this bug.